Debian 7升级Debian 8

Debian 8 在25号发布了,今天一上班就看到了,心里马上长草,速度把vps 升级下,呵呵… 还是拿hostodo 下手。

先泼个凉水,免的看文章的网友更新完后悔,openvz 的vps 升级debian 是不能更新内核的,切记,切记。更新完内核还是可怜的“Linux te 2.6.32-042stab103.6”

开始步骤,debian 的所有升级无非就是这样

1、apt-get update

这里先升级下debian7的软件,免的升级的过程中有兼容性问题

2、apt-get upgrade
 
3、更换源为debian8
更换下源,建议更换为官方源,官方源比较新,问题比较少,我的源是这样的
deb http://ftp.us.debian.org/debian/ jessie main
deb-src http://ftp.us.debian.org/debian/ jessie main

deb http://security.debian.org/ jessie/updates main contrib
deb-src http://security.debian.org/ jessie/updates main contrib

# jessie-updates, previously known as 'volatile'
deb http://ftp.us.debian.org/debian/ jessie-updates main contrib
deb-src http://ftp.us.debian.org/debian/ jessie-updates main contrib
4、apt-get update
5、apt-get dist-upgrade

这个过程就是升级了,升级过程中会让你选择,一路默认就可以了。

ok

ps:

root@te:~# apt-get dist-upgrade
正在读取软件包列表... 完成
正在分析软件包的依赖关系树      
正在读取状态信息... 完成      
正在对升级进行计算... 失败
下列软件包有未满足的依赖关系:
udev : 破坏: plymouth (< 0.9.0-7) 但是 0.8.5.1-5 正要被安装
E: 错误,pkgProblemResolver::Resolve 发生故障,这可能是有软件包被要求保持现状的缘故。

 

最后一步会出现这个错误,忽略吧,因为内核版本问题,忽略好了。

 

6、最后清理下

apt-get  autoremove

 

7 、检查下版本

root@te:~# cat /etc/debian_version
8.0

已经成功升级8.0 ,只是内核还是可怜的2.6.32 ,也难怪openvz 卖的便宜,新内核你都用不上。

You May Also Like

About the Author: admin

发表评论

电子邮件地址不会被公开。 必填项已用*标注